Package org.apache.sling.event.impl.jobs

# Class JobBuilderImpl

java.lang.Object
org.apache.sling.event.impl.jobs.JobBuilderImpl

All Implemented Interfaces:
  `org.apache.sling.event.jobs.JobBuilder`

public class JobBuilderImpl extends Object implements org.apache.sling.event.jobs.JobBuilder
Fluent builder API

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.sling.event.jobs.JobBuilder

`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`

## Constructor Summary

Constructors
Constructor
Description
`JobBuilderImpl(JobManagerImpl manager, String topic)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.event.jobs.Job`
`add()`
`org.apache.sling.event.jobs.Job`
`add(List<String> errors)`
`org.apache.sling.event.jobs.JobBuilder`
`properties(Map<String,Object> props)`
`org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder`
`schedule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JobBuilderImpl

public JobBuilderImpl(JobManagerImpl manager, String topic)

## Method Details

### properties

public org.apache.sling.event.jobs.JobBuilder properties(Map<String,Object> props)

Specified by:
  `properties` in interface `org.apache.sling.event.jobs.JobBuilder`

### add

public org.apache.sling.event.jobs.Job add()

Specified by:
  `add` in interface `org.apache.sling.event.jobs.JobBuilder`

### add

public org.apache.sling.event.jobs.Job add(List<String> errors)

Specified by:
  `add` in interface `org.apache.sling.event.jobs.JobBuilder`

### schedule

public org.apache.sling.event.jobs.JobBuilder.ScheduleBuilder schedule()

Specified by:
  `schedule` in interface `org.apache.sling.event.jobs.JobBuilder`